Client A P I
Get backup download URL
Returns a signed URL for downloading a server backup.
GET
/api/client/servers/{server_uuid}/backups/{backup_uuid}/downloadAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_uuid*string
The server UUID.
backup_uuid*string
The backup UUID.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/backups/b6b9acf9-19b1-4bb1-8c75-4abac802c6cf/download"{ "object": "signed_url", "attributes": { "url": "https://node.example.test/download/file?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.example.signature" }}